Skip to main content
GET
/
countries
Countries
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/countries?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "slug": "<string>",
      "name": "<string>",
      "iso_3166_1_alpha_2": "<string>",
      "flagUrl": {
        "small": "<string>",
        "medium": "<string>"
      },
      "eliteprospectsUrlPath": "<string>",
      "updatedAt": "<string>",
      "_links": [
        "<string>"
      ]
    }
  ]
}

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: slug, name, iso_3166_1_alpha_2, flagUrl, eliteprospectsUrlPath, updatedAt, _links

Available options:
slug,
name,
iso_3166_1_alpha_2,
flagUrl,
eliteprospectsUrlPath,
updatedAt,
_links,
flagUrl.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
name,
-name,
updatedAt,
-updatedAt
slug
string[]

Filter by slug in ISO 3166-1 alpha-3

name
string

Filter by name

iso_3166_1_alpha_2
string[]

Filter by iso_3166_1_alpha_2 in ISO 3166-1 alpha-2

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of countries.

_meta
object
data
object[]